Package org.bukkit

# Enum Class Statistic.Type

java.lang.Object
java.lang.Enum<Statistic.Type>
org.bukkit.Statistic.Type

All Implemented Interfaces:
  `Serializable`, `Comparable<Statistic.Type>`, `Constable`

Enclosing class:
  Statistic

public static enum Statistic.Type extends Enum<Statistic.Type>
The type of statistic.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BLOCK`
Statistics of this type require a Block Material qualifier.
`ENTITY`
Statistics of this type require an EntityType qualifier.
`ITEM`
Statistics of this type require an Item Material qualifier.
`UNTYPED`
Statistics of this type do not require a qualifier.

## Method Summary

Modifier and Type
Method
Description
`static Statistic.Type`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Statistic.Type[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### UNTYPED

public static final Statistic.Type UNTYPED
Statistics of this type do not require a qualifier.

### ITEM

public static final Statistic.Type ITEM
Statistics of this type require an Item Material qualifier.

### BLOCK

public static final Statistic.Type BLOCK
Statistics of this type require a Block Material qualifier.

### ENTITY

public static final Statistic.Type ENTITY
Statistics of this type require an EntityType qualifier.

## Method Details

### values

public static Statistic.Type[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static Statistic.Type valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null